import sqlite3

# SQLite-Datenbankverbindung herstellen
conn = sqlite3.connect('temperaturen.db')
cursor = conn.cursor()

# Funktion zum Aktualisieren der Tanknamen in der Datenbank
def update_tankname(table_name, old_name, new_name):
    cursor.execute(f"UPDATE {table_name} SET messstelle = ? WHERE messstelle = ?",
                   (new_name, old_name))
    conn.commit()

# Korrektur durchführen (Tabelle "istwert")
update_tankname("istwert", "Tank 1", "1")
update_tankname("istwert", "Tank 2", "2")

# Korrektur durchführen (Tabelle "sollwert")
update_tankname("sollwert", "Tank 1", "1")
update_tankname("sollwert", "Tank 2", "2")

# Die Datenbankverbindung schließen
conn.close()
