import sqlite3

# Pfad zur Datenbank
db_path = '/home/divers/datenbank/temperaturen.db'

# SQLite-Datenbankverbindung herstellen
conn = sqlite3.connect(db_path)
cursor = conn.cursor()

# SQL-Update-Statement zum Entfernen von "°C" aus der Temperaturspalte
update_query = """
UPDATE sollwert
SET temperatur = REPLACE(temperatur, '°C', '')
WHERE temperatur LIKE '%°C'
"""

# Führen Sie das Update-Statement aus
cursor.execute(update_query)
conn.commit()

# Die Datenbankverbindung schließen
conn.close()

print("°C-Symbole in der Temperaturspalte entfernt.")
