import sqlite3

# SQLite-Datenbankverbindung herstellen oder erstellen (temperatursteuerung.db)
conn = sqlite3.connect('temperaturen.db')
cursor = conn.cursor()

# Tabelle "istwert" erstellen
cursor.execute('''
    CREATE TABLE IF NOT EXISTS istwert (
        id INTEGER PRIMARY KEY AUTOINCREMENT,
        messstelle INTEGER,
        temperatur REAL,
        zeitstempel TIMESTAMP DEFAULT CURRENT_TIMESTAMP
    )
''')

# Tabelle "sollwert" erstellen
cursor.execute('''
    CREATE TABLE IF NOT EXISTS sollwert (
        id INTEGER PRIMARY KEY AUTOINCREMENT,
        messstelle INTEGER,
        temperatur REAL,
        zeitstempel TIMESTAMP DEFAULT CURRENT_TIMESTAMP
    )
''')

# Änderungen in der Datenbank speichern
conn.commit()

# Die Datenbankverbindung schließen
conn.close()
