#!/usr/bin/env python3

import sqlite3

# SQLite-Datenbankverbindung herstellen
conn = sqlite3.connect('temperaturen.db')
cursor = conn.cursor()

# Funktion zum Auslesen und Ausgeben der Werte
def read_and_print_table(table_name):
    print(f"Auslesen der Tabelle '{table_name}':")
    cursor.execute(f"SELECT * FROM {table_name}")
    rows = cursor.fetchall()
    for row in rows:
        print(row)

# Tabellen "istwert" und "sollwert" auslesen und ausgeben
read_and_print_table("istwert")
read_and_print_table("sollwert")

# Die Datenbankverbindung schließen
conn.close()
